org.jgroups.debug

## Class ProtocolTester

- java.lang.Object
- - org.jgroups.debug.ProtocolTester

-     public class ProtocolTester
      extends java.lang.Object

  Generic class to test one or more protocol layers directly. Sets up a protocol stack consisting of the top layer (which is essentially given by the user and is the test harness), the specified protocol(s) and a bottom layer (which is automatically added), which sends all received messages immediately back up the stack (swapping sender and receiver address of the message).
  Author:
    Bela Ban, March 23 2001

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Log` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolTester(java.lang.String prot_spec, Protocol harness)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Protocol` | `getBottom()`
    `java.util.Vector<Protocol>` | `getProtocols()`
    `java.lang.String` | `getProtocolSpec()`
    `Protocol` | `getTop()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Log log

  - ### Constructor Detail

    - #### ProtocolTester

          public ProtocolTester(java.lang.String prot_spec,
                        Protocol harness)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getProtocols

          public java.util.Vector<Protocol> getProtocols()

    - #### getProtocolSpec

          public java.lang.String getProtocolSpec()

    - #### getBottom

          public Protocol getBottom()

    - #### getTop

          public Protocol getTop()

    - #### start

          public void start()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.